GRAPHICS_DEMOS(6)

NAME
graphics_demos, bouncedemo, cframedemo, framedemo, goban, jumpdemo, maze, shaded, show, showmap, spheresdemo, stringart, suncube - graphics demonstration programs

SYNOPSIS
/usr/demo/bouncedemo [ -d dev ] [ -nx ] [ -r ] [ -q ]

/usr/demo/cframedemo [ -d dev ] [ -nx ] [ -r ] [ -q ]

/usr/demo/framedemo [ -d dev ] [ -nx ] [ -r ] [ -q ]

/usr/demo/goban game

/usr/demo/jumpdemo [ -c ] [ -d dev ] [ -nx ] [ -r ] [ -q ]

/usr/demo/maze

shaded object [ -d dev ]

/usr/demo/show rasterfile [ rasterfile ... ]

/usr/demo/showmap [ -d dev ] [ -q ]

/usr/demo/spheresdemo [ -d dev ] [ -nx ] [ -r ] [ -q ]

/usr/demo/stringart [ -d dev ] [ -q ]

/usr/demo/suncube [ -d dev ] [ -q ]

AVAILABILITY
These demos are available with the Demos software installation option. Refer to for information on how to install optional software.

DESCRIPTION

  bouncedemo
bouncedemo displays a bouncing square.

  cframedemo
cframedemo displays a series of color frames, each of which contains a 256 by 256 image of eight-bit-deep pixels. cframedemo looks for the frames in the files frame.1 through frame.n in the current working directory, and displays them in numerical order. When run in the directory /usr/demo/globeframes, cframedemo displays a rotating view of the world.

  framedemo
framedemo displays a series of frames, each of which contains a 256 by 256 image one-bit-deep pixels (that is, the image is a square monochrome bitmap, with 256 bits on a side). framedemo looks for the frames in the files frame.1 through frame.n in the current working directory, and displays them in numerical order. A set of sample frames is available in the directory /usr/demo/globeframes/*.

  Interactive Commands

If you move the cursor onto the image surface, you can type certain commands to affect the rate at which the frames are displayed. The initial rate is one frame per second:

f   Remove 1/20th of a second from the interval.

F   Remove one second from the interval. Ff makes the interval as small as possible.

s   Add 1/20th of a second.

S   Add one second.

  goban
goban is Japanese for "go board". It is an automatic board, but does not play go. If you invoke it with no game argument, goban displays an important historical game written about by the Nobel Prize winning author, Yasunari Kawabata in The Master of Go, a book which conveys the spirit of this ancient and facinating game.

Stones are placed on the board by selecting a grid point with the cursor and pressing the left-button. As stones are played, the color to play next alternates between black and white. The center-button, when pressed in the board area, backs up a move (undoes it). The right-button moves forward through the game's sequence of moves.

Stepping backward and forward does not alter the game until the left-button is pressed to place a stone, at which time a new branch in the line of play is begun. You can select branches by clicking the left button on moves with lettered labels on the board.

A text subwindow displays any commentary attached to a move. You can edit these comments, which are saved along with the game.

  jumpdemo
jumpdemo simulates the famous Star Wars jump to light-speed-sequence using vector drawing. Colored stars are drawn on color surfaces.

  maze
maze creates a random maze-pattern and tries a depth-first solution. If used in lockscreen, remember to run in "nice" mode since this demo consumes lots of cpu cycles.

  Shaded
shaded displays shaded objects. Objects are located in usr/demo/DATA and include an icosahedron, glass, soccer ball, space shuttle, egg and pyramid. This demo can take up to 40 seconds to start up with som objects. Mouse input is required:

  Interactive Commands

Click the left- and middle-buttons on the left grid to set the x-y orientation. Click the middle-button on the right grid to set the z orientation. Click the left-button away from either grid to open the features menu, from which you can make selections using the left-button.

After selecting the desired features, click the left-button away from all objects to exit the features menu.

Click the right-button to begin drawing the object. When the figure is finished, click the right-button to return to the grids and menu, or type q to exit.

  show
show display rasterfiles in a window or on a raw screen. Sample files are contained in the directory /usr/demo/COLORPIX. Running
    show COLORPIX/*
from /usr/demo will continuously cycle through the sample images.

  spheresdemo
spheresdemo computes a random collection of shaded spheres. Colored spheres are drawn on color surfaces.

  showmap
showmap display 10 map projections continuously until interrupted. Each map is displayed for about 5 seconds. The maps are in the directory /usr/demo/MAPS.

  stringart
stringart continuously display a different "work of art" every 5 seconds. A total of 24336 different designs are possible. On color surfaces the designs will loop through the colors: red, olive, green, turquoise, blue, and violet.

  suncube
Display a cube with the SUN logo mapped to each face. Will run continuously until interrupted. On color surfaces the colors of logo segments change gradually. On monochrome surfaces the logo segments remain hollow.

OPTIONS

-c  Rotate the color map to produce a sparkling effect.

-d surface
    Run the demo on a surface other than the window or system console, for instance:

        bouncedemo -d /dev/cgone0

-nx Draw x items, or repeat a sequence x times.

-r  Retain the window. This allows the image to reappear when uncovered instead of restarting the demo.

-q  Quick exit. Useful for running several demos from within a shell script.

SEE ALSO
gfxtool(1), gp_demos(6)